package eu.mikroskeem.uurimustoo.algoritmidetest.compressors;

import lombok.Getter;
import org.tukaani.xz.LZMA2Options;
import org.tukaani.xz.XZOutputStream;

import java.io.IOException;
import java.io.OutputStream;

/**
 * @author Mark Vainomaa
 */
public class CompressXZ extends AbstractCompressor {
    @Getter private final String name = "XZ";

    @Override
    public OutputStream pipe(OutputStream outputStream) throws IOException {
        LZMA2Options options = new LZMA2Options();
        return new XZOutputStream(outputStream, options);
    }
}
